# This file is configured at cmake time, and loaded at cpack time.
# To pass variables to cpack from cmake, they must be configured
# in this file.

set (GIT_SHA_SHORT "9fa95ae")

set (CPACK_PACKAGE_NAME "docra")
set (CPACK_PACKAGE_VERSION_MAJOR "0")
set (CPACK_PACKAGE_VERSION_MINOR "0")
set (CPACK_PACKAGE_VERSION_PATCH "0")
set (CPACK_PACKAGE_VERSION_TWEAK "389")
set (CPACK_PACKAGE_VERSION "0.0.0")
if (CPACK_PACKAGE_VERSION_TWEAK)
  set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION}.wip389~git9fa95ae")
endif ()

set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-src")
option (CPACK_SOURCE_TZ "" "OFF")

if (CPACK_GENERATOR MATCHES "DEB")
  if (NOT CPACK_DEBIAN_PACKAGE_RELEASE)
    set (CPACK_DEBIAN_PACKAGE_RELEASE "0${CPACK_SYSTEM_NAME}")
  endif ()
  set (CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
endif ()

if (CPACK_GENERATOR MATCHES "RPM")
  if (NOT CPACK_RPM_PACKAGE_RELEASE)
    set (CPACK_RPM_PACKAGE_RELEASE "0")
  endif ()
  set (CPACK_RPM_PACKAGE_RELEASE_DIST TRUE)
  set (CPACK_RPM_FILE_NAME "RPM-DEFAULT")
endif ()

if (CPACK_GENERATOR MATCHES "NuGet")
  set (CPACK_NUGET_PACKAGE_VERSION "0.0.0")
  if (CPACK_PACKAGE_VERSION_TWEAK)
    # Using SemVer 2.0.0 this will be recognized as a prerelease package
    # and must be installed with ``nuget install cigma -Prerelease [-Source <optional\local\path>]``
    set (CPACK_NUGET_PACKAGE_VERSION "${CPACK_NUGET_PACKAGE_VERSION}-wip.389.git9fa95ae")
  endif ()
endif ()
