#include <docra.hpp>

//docra`Lexer_Dummy`+

//++`::next_chunk`
bool docra::Lexer_Dummy::next_chunk()
//? This function does nothing but initialize and return a single `Chunk.COMMENT` chunk. This is used to unit-test the comment syntax.
{
  if (chunk.kind == Chunk::INVALID && !chunk.str.empty()) {
    chunk.it = chunk.str.begin();
    chunk.kind = Chunk::COMMENT;
    return true;
  }
  chunk.str.erase();
  chunk.kind = Chunk::INVALID;
  return false;
}
