#include "test.hpp"

typedef TestTmpFile<docra::Lexer_Hash> LexHashTmpFile;

TEST_F(LexHashTmpFile, Hash0) {
  wl("#input");
  wl("");
  ws("text #comment");
  we();

  CASSERT_CODE("", 0);
  CASSERT_COMM("input", 0);
  CASSERT_CODE("", 0);
  CASSERT_CODE("text ", 0);
  CASSERT_COMM("comment", 0);
  CASSERT_EOF();
}

TEST_F(LexHashTmpFile, Hash1) {
  wl("#domain``");
  wl("some code");
  wl("id1 blablabla #+`id1` comment");
  ws("id2 blazhlazh #+`id2` some text with a reference to `id1`");
  we();

  CASSERT_CODE("", 0);
  CASSERT_COMM("domain``", 0);
  CASSERT_CODE("some code", 0);
  CASSERT_CODE("id1 blablabla ", 0);
  CASSERT_COMM("+`id1` comment", 0);
  CASSERT_CODE("id2 blazhlazh ", 0);
  CASSERT_COMM("+`id2` some text with a reference to `id1`", 0);
  //TODO: make it pass when file ends in a newline as well!
  CASSERT_EOF();

  //ASSERT_TOKEN("", docra::Token::CODE, 0);
  //ASSERT_TOKEN_EOF();
}